Package com.enonic.xp.inputtype

## Class InputTypeName

- java.lang.Object
- - com.enonic.xp.inputtype.InputTypeName

-     @PublicApi
      public final class InputTypeName
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static InputTypeName` | `ATTACHMENT_UPLOADER` |
    `static InputTypeName` | `CHECK_BOX` |
    `static InputTypeName` | `COMBO_BOX` |
    `static InputTypeName` | `CONTENT_SELECTOR` |
    `static InputTypeName` | `CONTENT_TYPE_FILTER` |
    `static InputTypeName` | `CUSTOM_SELECTOR` |
    `static InputTypeName` | `DATE` |
    `static InputTypeName` | `DATE_TIME` |
    `static InputTypeName` | `DOUBLE` |
    `static InputTypeName` | `GEO_POINT` |
    `static InputTypeName` | `HTML_AREA` |
    `static InputTypeName` | `IMAGE_SELECTOR` |
    `static InputTypeName` | `IMAGE_UPLOADER` |
    `static InputTypeName` | `LONG` |
    `static InputTypeName` | `MEDIA_SELECTOR` |
    `static InputTypeName` | `MEDIA_UPLOADER` |
    `static InputTypeName` | `RADIO_BUTTON` |
    `static InputTypeName` | `SITE_CONFIGURATOR` |
    `static InputTypeName` | `TAG` |
    `static InputTypeName` | `TEXT_AREA` |
    `static InputTypeName` | `TEXT_LINE` |
    `static InputTypeName` | `TIME` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `static InputTypeName` | `from​(String name)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHECK_BOX

          public static final InputTypeName CHECK_BOX

    - #### COMBO_BOX

          public static final InputTypeName COMBO_BOX

    - #### CONTENT_SELECTOR

          public static final InputTypeName CONTENT_SELECTOR

    - #### CUSTOM_SELECTOR

          public static final InputTypeName CUSTOM_SELECTOR

    - #### CONTENT_TYPE_FILTER

          public static final InputTypeName CONTENT_TYPE_FILTER

    - #### DATE

          public static final InputTypeName DATE

    - #### DATE_TIME

          public static final InputTypeName DATE_TIME

    - #### DOUBLE

          public static final InputTypeName DOUBLE

    - #### MEDIA_UPLOADER

          public static final InputTypeName MEDIA_UPLOADER

    - #### ATTACHMENT_UPLOADER

          public static final InputTypeName ATTACHMENT_UPLOADER

    - #### GEO_POINT

          public static final InputTypeName GEO_POINT

    - #### HTML_AREA

          public static final InputTypeName HTML_AREA

    - #### IMAGE_SELECTOR

          public static final InputTypeName IMAGE_SELECTOR

    - #### MEDIA_SELECTOR

          public static final InputTypeName MEDIA_SELECTOR

    - #### IMAGE_UPLOADER

          public static final InputTypeName IMAGE_UPLOADER

    - #### LONG

          public static final InputTypeName LONG

    - #### RADIO_BUTTON

          public static final InputTypeName RADIO_BUTTON

    - #### SITE_CONFIGURATOR

          public static final InputTypeName SITE_CONFIGURATOR

    - #### TAG

          public static final InputTypeName TAG

    - #### TEXT_AREA

          public static final InputTypeName TEXT_AREA

    - #### TEXT_LINE

          public static final InputTypeName TEXT_LINE

    - #### TIME

          public static final InputTypeName TIME

  - ### Method Detail

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### from

          public static InputTypeName from​(String name)